Face Traverse

Hi
Is there a way to visit the edges of a face in order? (I want to visit an edge, then the adjacent edge and so on..)
Thanks
xaeroxx

Rob Bachrach's picture

Use a TopExp_Explorer to get the wires in the face. Then, use a BRepTools_WireExplorer to explore the edges in each wire.

Divya's picture

hi i want to know how to represent edge,vertex,face and loops of a part in opencascade.

Rob Bachrach's picture

Please elaborate on your meaning of "represent". They are represented by TopoDS_Edge, TopoDS_Vertex, TopoDS_Face and TopoDS_Wire. If you are looking to create your own, check out the Brep_Builder classes.